classification
Title: the readme should also talk about how to build doc.
Type: enhancement Stage: resolved
Components: Build, Devguide, Documentation, Installation Versions: Python 3.3, Python 3.4, Python 2.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: ezio.melotti Nosy List: docs@python, eric.araujo, ezio.melotti, georg.brandl, madan.ram, madison.may, python-dev
Priority: normal Keywords: patch

Created on 2013-08-11 06:37 by madan.ram, last changed 2013-08-16 18:34 by ezio.melotti. This issue is now closed.

Files
File name Uploaded Description Edit
README.diff madan.ram, 2013-08-11 06:37 New Details added to README. review
README_v2.diff madison.may, 2013-08-12 23:49 Refer users to Doc/README.txt for info on building and contributing to Python's docs. review
README_v3.diff madison.may, 2013-08-13 01:25 Refer users to devguide in addition to Doc/README.txt review
README_v4.diff madison.may, 2013-08-13 01:28 Alternate wording review
Messages (10)
msg194866 - (view) Author: madan ram (madan.ram) Date: 2013-08-11 06:37
Since most of and also I faced problem of building Doc initially then later i found out how to build Doc.

So i thought to include details on how to build Doc in README.
msg194990 - (view) Author: Éric Araujo (eric.araujo) * (Python committer) Date: 2013-08-12 19:19
There is a README in the Doc directory.  Wouldn’t it be enough to point to that file from the main README?
msg195002 - (view) Author: Ezio Melotti (ezio.melotti) * (Python committer) Date: 2013-08-12 19:51
+1
msg195037 - (view) Author: Madison May (madison.may) * Date: 2013-08-12 23:49
Here's a patch that adds a short sentence to the README's `Documentation` section that refers readers to the Doc/README.txt file.
msg195038 - (view) Author: Éric Araujo (eric.araujo) * (Python committer) Date: 2013-08-13 00:31
Thanks for the patch!  One thing: Doc/README.txt does not actually mention how to contribute to the doc, does it?  Maybe the main README should link to the devguide instead of or in addition to Doc/README.txt
msg195039 - (view) Author: Madison May (madison.may) * Date: 2013-08-13 01:25
Good point, Éric.

It refers readers to the bug tracker, the Sphinx bug tracker, and docs@python.org in the `Contributing` section, but a link to the devguide would probably be more useful.  I've tweaked the patch a bit to reflect this.
msg195041 - (view) Author: Madison May (madison.may) * Date: 2013-08-13 01:28
Or perhaps with an alternate wording: README_v4.diff
msg195077 - (view) Author: Éric Araujo (eric.araujo) * (Python committer) Date: 2013-08-13 15:01
Either one looks good to me.
msg195387 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2013-08-16 18:33
New changeset 6bc88d61f302 by Ezio Melotti in branch '2.7':
#18707: point to Doc/README.txt in the README file.  Patch by Madison May.
http://hg.python.org/cpython/rev/6bc88d61f302

New changeset 477a143bfbfd by Ezio Melotti in branch '3.3':
#18707: point to Doc/README.txt in the README file.  Patch by Madison May.
http://hg.python.org/cpython/rev/477a143bfbfd

New changeset 96c51207e7cd by Ezio Melotti in branch 'default':
#18707: merge with 3.3.
http://hg.python.org/cpython/rev/96c51207e7cd
msg195389 - (view) Author: Ezio Melotti (ezio.melotti) * (Python committer) Date: 2013-08-16 18:34
Fixed, thanks for the report and the patch!
History
Date User Action Args
2013-08-16 18:34:28ezio.melottisetstatus: open -> closed
messages: + msg195389

assignee: docs@python -> ezio.melotti
resolution: fixed
stage: resolved
2013-08-16 18:33:42python-devsetnosy: + python-dev
messages: + msg195387
2013-08-13 15:01:42eric.araujosetmessages: + msg195077
2013-08-13 01:28:57madison.maysetfiles: + README_v4.diff

messages: + msg195041
2013-08-13 01:25:47madison.maysetfiles: + README_v3.diff

messages: + msg195039
2013-08-13 00:31:33eric.araujosetmessages: + msg195038
2013-08-12 23:49:32madison.maysetfiles: + README_v2.diff
nosy: + madison.may
messages: + msg195037

2013-08-12 19:51:57ezio.melottisettype: enhancement
messages: + msg195002
versions: + Python 2.7, Python 3.3
2013-08-12 19:19:11eric.araujosetmessages: + msg194990
2013-08-11 06:37:03madan.ramcreate